import { ViewModelInstance } from '@rive-app/canvas';
import { UseViewModelInstanceNumberResult } from '../types';
/**
 * Hook for interacting with number properties of a ViewModelInstance.
 *
 * @param params - Parameters for interacting with number properties
 * @param params.path - Path to the number property (e.g. "speed" or "group/speed")
 * @param params.viewModelInstance - The ViewModelInstance containing the number property
 * @returns An object with the number value and a setter function
 */
export default function useViewModelInstanceNumber(path: string, viewModelInstance?: ViewModelInstance | null): UseViewModelInstanceNumberResult;
